﻿------------------------------
--      Are you local?      --
------------------------------
local boss = AceLibrary("Babble-Boss-2.2")["Moroes"]
local L = AceLibrary("AceLocale-2.2"):new("BigWigs"..boss.."Garrote")


----------------------------
--      Localization      --
----------------------------

L:RegisterTranslations("enUS", function() return {
	cmd = "Moroes Garrote",

	garrote_cmd = "garrote",
	garrote_name = "Garrote",
	garrote_desc = "Notify of Garroted players",
	
	garrote_trigger = "^([^%s]+) ([^%s]+) afflicted by Garrote",
	garrote_message = "%s is Garroted!",

	you = "you",
} end)


----------------------------------
--      Module Declaration      --
----------------------------------

BigWigsMoroesGarrote = BigWigs:NewModule(boss.."Garrote")
BigWigsMoroesGarrote.zonename = AceLibrary("Babble-Zone-2.2")["Karazhan"]
BigWigsMoroesGarrote.enabletrigger = boss
BigWigsMoroesGarrote.toggleoptions = {"garrote"}
BigWigsMoroesGarrote.revision = tonumber(string.sub("$Revision: 27175 $", 12, -3))

------------------------------
--      Initialization      --
------------------------------

function BigWigsMoroesGarrote:OnEnable()
	

	self:RegisterEvent("CHAT_MSG_SPELL_PERIODIC_SELF_DAMAGE", "GarroteEvent")
	self:RegisterEvent("CHAT_MSG_SPELL_PERIODIC_FRIENDLYPLAYER_DAMAGE", "GarroteEvent")
	self:RegisterEvent("CHAT_MSG_SPELL_PERIODIC_PARTY_DAMAGE", "GarroteEvent")

	

	self:RegisterEvent("CHAT_MSG_COMBAT_HOSTILE_DEATH", "GenericBossDeath")
	self:RegisterEvent("PLAYER_REGEN_ENABLED", "CheckForWipe")

end

------------------------------
--      Event Handlers      --
------------------------------


function BigWigsMoroesGarrote:GarroteEvent(msg)
	local bplayer, btype = select(3, msg:find(L["garrote_trigger"]))
	if bplayer then
		if bplayer == L["you"] then
			bplayer = UnitName("player")
		end
		if self.db.profile.garrote then
		self:TriggerEvent("BigWigs_Message", string.format(L["garrote_message"], bplayer), "Attention")
		end
	end
end
